AntiFeatures:
  - Tracking
  - NonFreeNet
Categories:
  - Reading
  - Writing
License: Apache-2.0
AuthorName: Renard Wellnitz
AuthorEmail: Renard.Wellnitz@googlemail.com
SourceCode: https://github.com/renard314/textfairy
IssueTracker: https://github.com/renard314/textfairy/issues

Summary: An OCR App
Description: |4-

    Note: newer versions of this app are not distributed
    under a FOSS license and not available on F-Droid.

    An android OCR app that allows to manage your documents,
    extract text from images and photos and much more.

    List of features:
    * Extract text from images
    * Edit, share, or export as PDF
    * Works offline to protect your privacy
    * Reads text out loud. (Text-to-speech, TTS)
    * Recognizes printed text from more than 110 languages
    * Scan documents with text in multiple languages
    * Manage your scanned files (edit, join, delete)
    * Automatically cleans up the image, corrects the viewpoint and straightens text lines
    * Automatically detects text columns in complex documents

    Please bear in mind that Text Fairy cannot read handwriting.

    Antifeatures:
    * Tracking - app has usage data reporting turned on by default. It can be disabled in About->Privacy Policy.
    * NonFreeNet - additional language packs are hosted on github and a youtube embed in help section that plays automatically.

RepoType: git
Repo: https://github.com/renard314/textfairy

Builds:
  - versionName: 4.1.0
    versionCode: 82
    commit: version_410
    subdir: app
    gradle:
      - Develop
    output: build/outputs/apk/develop/release/app-develop-universal-release-unsigned.apk
    prebuild:
      - sed -i 's/minifyEnabled true/minifyEnabled false/' build.gradle
      - sed -i 's/shrinkResources true/shrinkResources false/' build.gradle
      - sed -i 's/com\.viewpagerindicator:library:2\.4\.1@aar/fr.avianey.com.viewpagerindicator:library:2.4.1.1@aar/'
        build.gradle
      - sed -i '/dl\.bintray\.com\/populov\/maven/d' ../build.gradle
      - sed -i 's/http:\/\/oss\.sonatype\.org\/content\/repositories\/snapshots/https:\/\/oss.sonatype.org\/content\/repositories\/snapshots\//'
        ../build.gradle
      - rm -rf ../test-images
      - sed -i 's/21.3.6528147/21.4.7075529/' build.gradle
    scanignore:
      - tessdata
    scandelete:
      - .
    ndk: r21e

MaintainerNotes: |-
    F-Droid scanner complains about sonatype repo because it misses a / at the end.
    Minified version of this app crashes when entering OCR activity so we disable proguard.
    Newer versions are not available since the app is now proprietary.
    https://github.com/renard314/textfairy/issues/208#issuecomment-780400083

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 4.1.0
CurrentVersionCode: 82

NoSourceSince: 4.1.0
